#
# Copyright (c) 2022 NVIDIA CORPORATION & AFFILIATES, ALL RIGHTS RESERVED.
#
# This software product is a proprietary product of NVIDIA CORPORATION &
# AFFILIATES (the "Company") and all right, title, and interest in and to the
# software product, including all associated intellectual property rights, are
# and shall remain exclusively with the Company.
#
# This software product is governed by the End User License Agreement
# provided with the software product.
#
apiVersion: v1
kind: Pod
metadata:
  name: doca-blueman
spec:
  hostNetwork: true
  volumes:
    - name: ssl-private
      hostPath:
        path: /etc/ssl/private/blueman
        type: Directory
      readOnly: true
    - name: ssl-certs
      hostPath:
        path: /etc/ssl/certs/blueman
        type: Directory
      readOnly: true
  containers:
    - name: doca-blueman-fe
      resources:
        requests:
          memory: "100Mi"
          cpu: "200m"
        limits:
          memory: "200Mi"
          cpu: "300m"
      image: doca_blueman_fe:2.1.2-doca3.1.0
      imagePullPolicy: IfNotPresent
      volumeMounts:
        - mountPath: /data/ssl/private/blueman
          name: ssl-private
        - mountPath: /data/ssl/certs/blueman
          name: ssl-certs
    - name: doca-blueman-conv
      resources:
        requests:
          memory: "100Mi"
          cpu: "200m"
        limits:
          memory: "200Mi"
          cpu: "300m"
      image : doca_blueman_conv:1.0.8-doca3.1.0
      imagePullPolicy: IfNotPresent
      volumeMounts:
        - mountPath: /data/ssl/private/blueman
          name: ssl-private
        - mountPath: /data/ssl/certs/blueman
          name: ssl-certs
